Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package macros
  Definition Classes
    reflect
-  package contexts
  Definition Classes
    macros
- Aliases
- Context
- Enclosures
- Evals
- ExprUtils
- FrontEnds
- Infrastructure
- Internals
- Names
- Parsers
- Reifiers
- Traces
- Typers

t

scala.reflect.macros.contexts

# Typers

###

#### trait Typers extends AnyRef

Self Type
  Context
Source
  Typers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Context
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Typers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type TypecheckMode = Mode

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Typers toany2stringadd[Typers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Typers, B)
   Implicit
     This member is added by an implicit conversion from Typers toArrowAssoc[Typers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val PATTERNmode: Mode
7.  val TERMmode: Mode
8.  val TYPEmode: Mode
9.  val TypecheckMode: Mode.type
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def ensuring(cond: (Typers) => Boolean, msg: => Any): Typers
    Implicit
      This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (Typers) => Boolean): Typers
    Implicit
      This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): Typers
    Implicit
      This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): Typers
    Implicit
      This member is added by an implicit conversion from Typers toEnsuring[Typers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Typers toStringFormat[Typers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def inferImplicitValue(pt: Context.Type, silent: Boolean = true, withMacrosDisabled: Boolean = false, pos: Context.Position = enclosingPosition): Context.Tree
23.  def inferImplicitView(tree: Context.Tree, from: Context.Type, to: Context.Type, silent: Boolean = true, withMacrosDisabled: Boolean = false, pos: Context.Position = enclosingPosition): Context.Tree
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def openImplicits: List[Context.ImplicitCandidate]
29.  def openMacros: List[Context]
30.  def resetLocalAttrs(tree: Context.Tree): Context.Tree
31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  def typecheck(tree: Context.Tree, mode: Context.TypecheckMode = TERMmode, pt: Context.Type = universe.WildcardType, silent: Boolean = false, withImplicitViewsDisabled: Boolean = false, withMacrosDisabled: Boolean = false): Context.Tree

    See also

      scala.tools.reflect.ToolBox.typeCheck

34.  def untypecheck(tree: Context.Tree): Context.Tree
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Typers, B)
   Implicit
     This member is added by an implicit conversion from Typers toArrowAssoc[Typers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromTypers to any2stringadd[Typers]

### Inherited by implicit conversion StringFormat fromTypers to StringFormat[Typers]

### Inherited by implicit conversion Ensuring fromTypers to Ensuring[Typers]

### Inherited by implicit conversion ArrowAssoc fromTypers to ArrowAssoc[Typers]

### Ungrouped